<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ダウンロード販売ファイル アップローダ完了
 *
 * @package     Admin.Itemmanage.Download.Upload.Complete
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Itemmanage_Download_Upload_Complete
{
    // コンポーネント
    var $actionChain;
    var $db_down;
    var $lg_down;
    
    // タイトル
    var $title;
    var $pagename;
    
    // in 
    var $itemcd;
    var $structcd;
    var $updcnt;
//    var $downfile;
    
    // out
    var $result;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Download_Upload_Completeが実行されました", "Admin_Itemmanage_Download_Upload_Complete#execute");
        
        // ファイル存在フラグtrueに
        $check = $this->lg_down->setFileExistence($this->itemcd, $this->structcd, true, $this->updcnt);

        // DB 更新できた
        if(is_bool($check)) {
            
            // レコード取得
            $record = $this->db_down->select($this->itemcd, $this->structcd);
            
            // ファイル存在フラグチェック
            if($record['fileexistence']) {
                // 登録済は現在の登録ファイル削除
                $this->lg_down->delItemFile($this->itemcd, $this->structcd);
            }
            
            // ファイルを移動
            $this->lg_down->setItemFile($this->itemcd, $this->structcd);
            
            // workファイルを削除
            $this->lg_down->delWorkFile($this->itemcd, $this->structcd);
            
            $log->debug("debug : success", "Admin_Itemmanage_Download_Upload_Complete#execute");
            return 'success';
        }
        
        // workファイルを削除
        $this->lg_down->delWorkFile($this->itemcd, $this->structcd);
        
        //echo $check; // DBエラーメッセージ出力
        $log->debug("debug : error", "Admin_Itemmanage_Download_Upload_Complete#execute");
        return 'failed';
    }

}
?>
